Summary: .NET library for the Google Data API 
Name: libgoogle-data-mono
Version: 1.8.0.0
Release: %mkrel 7
Source0: http://google-gdata.googlecode.com/files/%{name}-%{version}.tar.gz
License: Apache License
Group: Development/Other
Url: http://code.google.com/p/google-gdata/
BuildRequires: mono-devel mono-nunit
BuildArch: noarch

%description
The Google Data APIs (GData) provide a simple protocol for reading and
writing data on the web.

Each of the following Google services provides a Google data API:

    * Base
    * Blogger
    * Calendar
    * Spreadsheets
    * Google Apps Provisioning
    * Code Search
    * Notebook
    * Picasa Web Albums
    * Document Feed
    * Contacts
    * You Tube
    * Google Health 

The GData .NET Client Library provides a library and source code that
make it easy to access data through Google Data APIs.

%package devel
Group: Development/Other
Summary:.NET library for the Google Data API 
Requires: %name = %version-%release

%description devel
The Google Data APIs (GData) provide a simple protocol for reading and
writing data on the web.

Each of the following Google services provides a Google data API:

    * Base
    * Blogger
    * Calendar
    * Spreadsheets
    * Google Apps Provisioning
    * Code Search
    * Notebook
    * Picasa Web Albums
    * Document Feed
    * Contacts
    * You Tube
    * Google Health 

The GData .NET Client Library provides a library and source code that
make it easy to access data through Google Data APIs.


%prep
%setup -q
%autopatch -p1
sed -i "s#gmcs#mcs#g" Makefile

%build
#gw: trying to work around a BS problem, don't use parallel make
#pt: hack to find nunit
make PREFIX=%_prefix CSC=mcs DEFINES="/d:TRACE -lib:%{_monodir}/nunit"

%install
%makeinstall_std PREFIX=%_prefix DEFINES="/d:TRACE -lib:%{_monodir}/nunit"
mkdir -p %buildroot%_datadir/
mv %buildroot%_prefix/lib/pkgconfig %buildroot%_datadir/

%check
#gw fails in 1.4.0.2
#make test

%files
%doc LICENSE-2.0.txt
%_prefix/lib/mono/GData-Sharp
%_prefix/lib/mono/gac/*

%files devel
%doc RELEASE_NOTES.HTML
%_datadir/pkgconfig/*.pc






%changelog
* Sat Dec 05 2015 pterjan <pterjan> 1.8.0.0-7.mga6
+ Revision: 908446
- Add a hack to find nunit

  + tv <tv>
    - BR mono-nunit
    - fix finding mono4 compiler
    - fix finding mono4 compiler
    - rebuild for new mono4

* Wed Oct 15 2014 umeabot <umeabot> 1.8.0.0-5.mga5
+ Revision: 750663
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.8.0.0-4.mga5
+ Revision: 681504
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.8.0.0-3.mga4
+ Revision: 507049
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.8.0.0-2.mga3
+ Revision: 357313
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 14 2011 fwang <fwang> 1.8.0.0-1.mga2
+ Revision: 123993
- new version 1.8.0.0

* Thu Mar 24 2011 boklm <boklm> 1.6.0.0-2.mga1
+ Revision: 76170
- rebuild for bug #497

* Tue Mar 15 2011 ennael <ennael> 1.6.0.0-1.mga1
+ Revision: 72023
- clean spec file
- imported package libgoogle-data-mono


* Mon Aug 23 2010 Götz Waschk <waschk@mandriva.org> 1.6.0.0-1mdv2011.0
+ Revision: 572482
- new version
- drop patch
- update file list

* Thu Mar 11 2010 Götz Waschk <waschk@mandriva.org> 1.4.0.2-3mdv2010.1
+ Revision: 518276
- fix pkgconfig file again

* Thu Mar 11 2010 Götz Waschk <waschk@mandriva.org> 1.4.0.2-2mdv2010.1
+ Revision: 518267
- fix path in pkgconfig files

* Thu Mar 11 2010 Götz Waschk <waschk@mandriva.org> 1.4.0.2-1mdv2010.1
+ Revision: 518252
- import libgoogle-data-mono


